;
;    Perevod (translation of temperature in grades 
;    from Celcius in the Fahrenheit and on the contrary)
;    (c)Mario79 Russia 2003
;    Compile with FASM for Menuet
;

use32   
      org     0x0     
      db      'MENUET00'  
      dd      38          
      dd      START       
      dd      I_END       
      dd      0x100000    
      dd      0x00000000  

START:  
    call draw_window    
          
still:   
    mov  eax,10 
    int  0x40   
    cmp  eax,1   
    je   red     
    cmp  eax,2   
    je   key     
    cmp  eax,3  
    je   button  
    jmp  still   
                 
   red:             
    call draw_window 
    jmp  still       

  key:        
           mov  eax,2   
           int  0x40   
    jmp  still   

  button:    
    mov  eax,17    
    int  0x40     
    cmp  ah,111      
    jne  button1                      
    mov  eax,-1     
    int  0x40    

button1:       
cmp  ah,1
jne  button2
mov eax,[a]
mov ebx,10
mul ebx
inc eax
mov [a],eax
call draw_window
mov  edx,[a]
jmp type_number

button2:
cmp  ah,2
jne  button3
mov eax,[a]
mov ebx,10
mul ebx
add eax,2
mov [a],eax
call draw_window
mov  edx,[a]
jmp type_number

button3:
cmp  ah,3
jne  button4
mov eax,[a]
mov ebx,10
mul ebx
add eax,3
mov [a],eax
call draw_window
mov  edx,[a]
jmp type_number


button4:
cmp  ah,4
jne  button5
mov eax,[a]
mov ebx,10
mul ebx
add eax,4
mov [a],eax
call draw_window
mov  edx,[a]
jmp type_number


button5:
cmp  ah,5
jne  button6
mov eax,[a]
mov ebx,10
mul ebx
add eax,5
mov [a],eax
call draw_window
mov  edx,[a]
jmp type_number


button6:
cmp  ah,6
jne  button7
mov eax,[a]
mov ebx,10
mul ebx
add eax,6
mov [a],eax
call draw_window
mov  edx,[a]
jmp type_number


button7:
cmp  ah,7
jne  button8
mov eax,[a]
mov ebx,10
mul ebx
add eax,7
mov [a],eax
call draw_window
mov  edx,[a]
jmp type_number


button8:
cmp  ah,8
jne  button9
mov eax,[a]
mov ebx,10
mul ebx
add eax,8
mov [a],eax
call draw_window
mov  edx,[a]
jmp type_number


button9:
cmp  ah,9
jne  button10
mov eax,[a]
mov ebx,10
mul ebx
add eax,9
mov [a],eax
call draw_window
mov  edx,[a]
jmp type_number


button10:
cmp  ah,10
jne  button13
mov eax,[a]
mov ebx,10
mul ebx
mov [a],eax
call draw_window
mov  edx,[a]
jmp type_number

button13:
cmp  ah,13
jne  button14
mov  [a],0
mov  [b],1
call draw_window
mov  edx,[a]
jmp type_number

button14:
cmp  ah,14
jne  button16
call draw_window
mov  edx,text_button141
mov  ebx,10*65536+25
mov esi,19
call number_button2
mov  edx,text_button151
mov  ebx,10*65536+35
mov esi,17
call number_button2
jmp still

button16:
cmp  ah,16
jne  button17
mov eax,[a]
cmp [a],32
jl a16
sub eax,32
mov ebx,5
mul ebx
mov ebx,9
div ebx
mov [a],eax
call draw_window
mov  edx,[a]
jmp type_number
a16:
call draw_window
mov  edx,text_button161
mov  ebx,10*65536+25
mov esi,10
call number_button2
jmp still

button17:
cmp  ah,17
jne  button18
mov eax,[a]
mov ebx,9
mul ebx
mov ebx,5
div ebx
add eax,32
mov [a],eax
call draw_window
mov  edx,[a]
jmp type_number

button18:
jmp  still

number_button2:
mov  ecx,0xffffff
mov eax,4
int  0x40
ret
jmp  still

type_number:
mov  eax,47
mov  ebx,10*65536   
mov  ecx,[a]
mov  edx,10*65536+25
mov  esi,0xffffff
int  0x40
jmp still

text_button1:
db '1'

text_button2:
db '2'

text_button3:
db '3'

text_button4:
db '4'

text_button5:
db '5'

text_button6:
db '6'

text_button7:
db '7'

text_button8:
db '8'

text_button9:
db '9'

text_button10:
db '0'

text_button13:
db 'Cls'

text_button14:
db 'Author'

text_button141:
db 'Mario79 Russia 2003'

text_button151:
db 'mario79@ezmail.ru'

text_button16:
db 'F>C'

text_button161:
db 'impossible'

text_button17:
db 'C>F'

a dd 0

b dd 0 


draw_window: 

    mov  eax,12  
    mov  ebx,1   
    int  0x40    
                                   
    mov  eax,0              
    mov  ebx,100*65536+135 
    mov  ecx,100*65536+155  
    mov  edx,0x002222ee     
    mov  esi,0x0000bb77     
    mov  edi,0x00000000           
    int  0x40            
                                
    mov  eax,4         
    mov  ebx,5*65536+8  
    mov  ecx,0x00000000 
    mov  edx,labelt     
    mov  esi,labellen-labelt 
    int  0x40           
                                  
    mov  eax,8                 
    mov  ebx,(135-19)*65536+12 
    mov  ecx,5*65536+12        
    mov  edx,111                
    mov  esi,0x995511         
    int  0x40     

mov eax,8
mov ebx,85*65536+40
mov ecx,50*65536+20
mov edx,13
mov esi,0x5599cc
int 0x40

mov  edx,text_button13
mov  ebx,95*65536+57
mov  ecx,0xffffff
mov  esi,3
mov eax,4
int  0x40
;
mov  eax,8
mov  ebx,10*65536+20
mov  ecx,50*65536+20
mov  edx,7
mov  esi,0x5599cc
int 0x40

mov  edx,text_button7
mov  ebx,18*65536+57
mov  ecx,0xffffff
mov  esi,1
mov eax,4
int  0x40
;
mov  eax,8
mov  ebx,35*65536+20
mov  ecx,50*65536+20
mov  edx,8
mov  esi,0x5599cc
int 0x40

mov  edx,text_button8
mov  ebx,43*65536+57
mov  ecx,0xffffff
mov  esi,1
mov eax,4
int  0x40
;
mov eax,8
mov ebx,60*65536+20
mov ecx,50*65536+20
mov edx,9
mov esi,0x5599cc
int 0x40

mov  edx,text_button9
mov  ebx,68*65536+57
mov  ecx,0xffffff
mov  esi,1
mov eax,4
int  0x40
;
mov eax,8
mov ebx,85*65536+40
mov ecx,75*65536+20
mov edx,14
mov esi,0x5599cc
int 0x40

mov  edx,text_button14
mov  ebx,88*65536+82
mov  ecx,0xffffff
mov  esi,6
mov eax,4
int  0x40
;
mov  eax,8
mov  ebx,10*65536+20
mov  ecx,75*65536+20
mov  edx,4
mov  esi,0x5599cc
int 0x40

mov  edx,text_button4
mov  ebx,17*65536+82
mov  ecx,0xffffff
mov  esi,1
mov eax,4
int  0x40
;
mov  eax,8
mov  ebx,35*65536+20
mov  ecx,75*65536+20
mov  edx,5
mov  esi,0x5599cc
int 0x40

mov  edx,text_button5
mov  ebx,43*65536+82
mov  ecx,0xffffff
mov  esi,1
mov eax,4
int  0x40
;
mov eax,8
mov ebx,60*65536+20
mov ecx,75*65536+20
mov edx,6
mov esi,0x5599cc
int 0x40

mov  edx,text_button6
mov  ebx,68*65536+82
mov  ecx,0xffffff
mov  esi,1
mov eax,4
int  0x40
;
;mov eax,8
;mov ebx,85*65536+40
;mov ecx,75*65536+20
;mov edx,15
;mov esi,0x5599cc
;int 0x40

;mov  edx,text_button15
;mov  ebx,93*65536+82
;mov  ecx,0xffffff
;mov  esi,4
;mov eax,4
;int  0x40
;
mov  eax,8
mov  ebx,10*65536+20
mov  ecx,100*65536+20
mov  edx,1
mov  esi,0x5599cc
int 0x40

mov  edx,text_button1
mov  ebx,18*65536+107
mov  ecx,0xffffff
mov  esi,1
mov eax,4
int  0x40
;
mov  eax,8
mov  ebx,35*65536+20
mov  ecx,100*65536+20
mov  edx,2
mov  esi,0x5599cc
int 0x40

mov  edx,text_button2
mov  ebx,43*65536+107
mov  ecx,0xffffff
mov  esi,1
mov eax,4
int  0x40
;
mov eax,8
mov ebx,60*65536+20
mov ecx,100*65536+20
mov edx,3
mov esi,0x5599cc
int 0x40

mov  edx,text_button3
mov  ebx,68*65536+107
mov  ecx,0xffffff
mov  esi,1
mov eax,4
int  0x40
;
mov eax,8
mov ebx,85*65536+40
mov ecx,100*65536+20
mov edx,16
mov esi,0x5599cc
int 0x40

mov  edx,text_button16
mov  ebx,95*65536+107
mov  ecx,0xffffff
mov  esi,3
mov eax,4
int  0x40
;
mov  eax,8
mov  ebx,10*65536+70
mov  ecx,125*65536+20
mov  edx,10
mov  esi,0x5599cc
int 0x40

mov  edx,text_button10
mov  ebx,18*65536+132
mov  ecx,0xffffff
mov  esi,1
mov eax,4
int  0x40
;
mov eax,8
mov ebx,85*65536+40
mov ecx,125*65536+20
mov edx,17
mov esi,0x5599cc
int 0x40

mov  edx,text_button17
mov  ebx,95*65536+132
mov  ecx,0xffffff
mov  esi,3
mov eax,4
int  0x40

    mov  eax,12      
    mov  ebx,2       
    int  0x40        
    ret           

labelt:
    db 'PEREVOD (C)Mario79'
labellen:

  I_END:








